Bug 191864 - proxy=_none_ in yum.conf has no effect
proxy=_none_ in yum.conf has no effect
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened, Triaged
: 178816 270521 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-05-16 03:21 EDT by Wolfgang Mayer
Modified: 2014-01-21 18:06 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-18 13:49:41 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Wolfgang Mayer 2006-05-16 03:21:36 EDT
Description of problem:

Disabling http proxies for some or all repositories in /etc/yum.conf or
/etc/yum.repos.d/* does not work if the http_proxy environment variable is set.


Version-Release number of selected component (if applicable):

yum-2.6.1-0.fc5


How reproducible:


Steps to Reproduce:
1. export http_proxy=http://www.your-proxy.com/
2. echo proxy=_none_ >> /etc/yum.conf
3. export URLGRABBER_DEBUG=1
4. yum update
  
Actual results:

Yum still uses the proxy set in http_proxy.

Expected results:

Yum should directly access the fc5 update repository.

Additional info:

It seems that Python's urllib2 fetch the http_proxy environment in case 'None'
is passed as proxy map. Also, yum does not seem to distinguish the cases where
no 'proxy=...' entry is present (and the environment variables should be used)
and where the proxy is set to '_none_' (and the environment variables should be
ignored if present).
Comment 1 Jeremy Katz 2007-04-25 13:59:56 EDT
Unfortunately, there's no way to tell urlgrabber to ignore the environment
proxies :/
Comment 2 Till Maas 2007-05-08 16:05:19 EDT
(In reply to comment #1)
> Unfortunately, there's no way to tell urlgrabber to ignore the environment
> proxies :/

you can use

os.environ.pop('http_proxy')

or whatever is the best way to remove the entry with the key "http_proxy" from
the enviroment and restore it after the grab took place. Same for ftp_proxy when
there is an ftp URL to be grabbed.
Comment 3 Jeremy Katz 2007-09-13 15:14:21 EDT
*** Bug 270521 has been marked as a duplicate of this bug. ***
Comment 4 Thorsten Leemhuis 2007-09-14 10:42:54 EDT
(In reply to comment #3)
> *** Bug 270521 has been marked as a duplicate of this bug. ***

That bug was marked by jeremy as blocking F8Target, this one is not -- is that
on purpose? 
Comment 5 Zachary Napora 2008-04-30 00:27:53 EDT
*** Bug 178816 has been marked as a duplicate of this bug. ***
Comment 6 Zachary Napora 2008-04-30 00:29:58 EDT
Not sure if this is the same issue, but no_proxy does not work. proxy=_none_
still does not work either, even though that's what the documentation says to use. 
Comment 7 Bug Zapper 2008-05-13 22:09:48 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2009-06-09 18:09:51 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Peter Bieringer 2009-08-21 03:12:58 EDT
Can it be that this problem still occurs on F10?

yum-updatesd-0.9-1.fc9.noarch
yum-utils-1.1.22-1.fc10.noarch
yum-metadata-parser-1.1.2-10.fc10.i386
yum-3.2.23-3.fc10.noarch

We have here an additional repo file which has "proxy=_none_" for each repo, while /etc/yum.conf has a proxy defined.

Looks like yum for F10 does not support this, while such config is working fine on RHEL5/CentOS5

yum-updatesd-0.9-2.el5
yum-fastestmirror-1.1.16-13.el5.centos
yum-metadata-parser-1.1.2-2.el5
yum-3.2.19-18.el5.centos

@reporter: pls. update version to F10
Comment 10 Peter Bieringer 2009-08-21 03:34:10 EDT
Note, this problem only happen, if in environment a global proxy is set, so my last comment regarding working on CentOS/RHEL5 is not proper, because on this systems, no global proxy was set.

So issue is that "proxy=_none_" would not disable the use of a global proxy, but only the one defined in /etc/yum.conf at the moment, which is a bug imho.
Comment 11 Bug Zapper 2009-11-18 03:06:36 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2009-12-18 00:52:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 13 Till Maas 2010-01-03 17:47:36 EST
This seems to be now a yum bug (again?). Afaics, yum uses pycurl in F12. With pycurl, it is possible to disable the use of proxies:

import pycurl
c = pycurl.Curl()
c.setopt(pycurl.PROXY, "")

then http_proxy and ftp_proxy variables will be ignored (tested on F12).
Comment 14 Bug Zapper 2010-11-04 08:16:01 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 15 Rich Rauenzahn 2012-01-03 19:00:07 EST
I can confirm that I've reproduced this on fc16.
Comment 16 Richard W.M. Jones 2012-04-17 14:11:50 EDT
proxy=_none_ works for me.
Comment 17 Richard W.M. Jones 2012-12-18 13:49:41 EST
proxy=_none_ also works for me on Fedora 18.  Therefore I
am closing this bug.

Note You need to log in before you can comment on or make changes to this bug.